# SpeexNBMode Struct Reference

`#include <modes.h>`

List of all members.

## Public Attributes

int | frameSize
int | subframeSize
int | lpcSize
int | pitchStart
int | pitchEnd
spx_word16_t | gamma1
spx_word16_t | gamma2
spx_word16_t | lpc_floor
const SpeexSubmode * | submodes [NB_SUBMODES]
int | defaultSubmode
int | quality_map [11]

## Detailed Description

Struct defining the encoding/decoding mode

## Member Data Documentation

int SpeexNBMode::frameSize

Size of frames used for encoding

int SpeexNBMode::subframeSize

Size of sub-frames used for encoding

int SpeexNBMode::lpcSize

Order of LPC filter

int SpeexNBMode::pitchStart

Smallest pitch value allowed

int SpeexNBMode::pitchEnd

Largest pitch value allowed

spx_word16_t SpeexNBMode::gamma1

Perceptual filter parameter #1

spx_word16_t SpeexNBMode::gamma2

Perceptual filter parameter #2

spx_word16_t SpeexNBMode::lpc_floor

Noise floor for LPC analysis

const SpeexSubmode* SpeexNBMode::submodes[NB_SUBMODES]

Sub-mode data for the mode

int SpeexNBMode::defaultSubmode

Default sub-mode to use when encoding

int SpeexNBMode::quality_map[11]

Mode corresponding to each quality setting

The documentation for this struct was generated from the following file:

- /home/rakkar/raknet-trunk/export/DependentExtensions/speex-1.2beta3/libspeex/modes.h